Bug 818934 - Supervisor 2.1 shell hangs on "stop"
Supervisor 2.1 shell hangs on "stop"
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: supervisor (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 08:32 EDT by Gavin McCance
Modified: 2017-04-06 06:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:34:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin McCance 2012-05-04 08:32:05 EDT
Description of problem:

Hang in supervisorctl control shell on "stop". Suggest upgrade to supervisor 3.0 (which fixes this, among many new features) as per Fedora; the 2.* source branch does not seem to be available any more.


Version-Release number of selected component (if applicable):

Name        : supervisor                   Relocations: (not relocatable)
Version     : 2.1                               Vendor: Fedora Project
Release     : 8.el6                         Build Date: Fri 02 Jul 2010 04:14:29 PM CEST


How reproducible:

Every time.


Steps to Reproduce:

cat > /tmp/testit.py << EOF 
#!/usr/bin/python -u
import time

while True:
   print "Hello"
   time.sleep(1)
EOF

Add to: /etc/supervisord.conf:
[program:testit]
command=/tmp/testit.py


  service supervisord start

starts the "testit" program.


  supervisorctl

lets you control what its doing via the supervisor shell.
  

Actual results:

Inside the shell:

  stop testit

hangs.


Expected results:

It should stop the monitored program.




cheers,
gav
Comment 1 Steve Traylen 2012-05-09 12:21:36 EDT
There are some changes in the configuration file between version 2 and 3 but they 
are very well documented here:

http://supervisord.org/upgrading.html

i.e I would rather just fix the bug if at all possible.
Comment 2 Steve Traylen 2012-05-09 13:29:18 EDT
There's a scratch build here now of the new version of 

http://koji.fedoraproject.org/koji/taskinfo?taskID=4065414

I would also like to move to newer version, just looking into. I have never used the older version, 
its quite old and unmaintained I agree.
Comment 3 Gavin McCance 2012-05-10 17:54:11 EDT
Hi,

Had a quick go - the packaged /etc/supervisor.conf file looks like the old one. It fails on:

[root@crumple02 etc]# supervisorctl
unix:///var/tmp/supervisor.sock no such file
supervisor>

and doesn't run any configured programs.


Better to provide the default generated by the /usr/bin/echo_supervisord_conf ? (which seems to work fine).

cheers,
gav
Comment 4 James Juran 2013-10-01 13:15:26 EDT
This seems to affect the EL6 package as well.
Comment 6 Fedora End Of Life 2017-04-06 06:34:37 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.